<mat-card style="margin: 16px" class="mat-elevation-z2">
  <mat-card-header>
    <mat-card-title style="margin-left: -14px">Order List</mat-card-title>
  </mat-card-header>
  <mat-accordion *ngIf="employees$WithOrders$ | async as employeesWithOrders$">
    <ng-container *ngFor="let employeeWithOrders$ of employeesWithOrders$">
      <mat-expansion-panel *ngIf="employeeWithOrders$ | async as employeeWithOrders">
        <mat-expansion-panel-header>
          <mat-panel-title>
            List of {{employeeWithOrders.orders.length}} orders for employee {{employeeWithOrders.employee.name}}
          </mat-panel-title>
        </mat-expansion-panel-header>
        <nz-table #basicTable [nzData]="employeeWithOrders.orders">
          <thead>
          <tr>
            <th>Id</th>
            <th>Name</th>
            <th>EmployeeIdId</th>
            <th>ProductIds</th>
            <th>Action</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let data of basicTable.data">
            <td>{{data.id}}</td>
            <td>{{data.name}}</td>
            <td>{{data.employeeId}}</td>
            <td>{{data.productIds}}</td>
            <td>
              <button mat-raised-button style="margin-right: 8px"(click)="open(data)">Edit</button>
              <button mat-raised-button color="warn" (click)="delete(employeeWithOrders.employee.id, data.id)">
                Delete
              </button>
            </td>
          </tr>
          </tbody>
        </nz-table>
      </mat-expansion-panel>
    </ng-container>
  </mat-accordion>
  <mat-card-actions>
    <button mat-raised-button color="primary" style="margin: 8px" (click)="open()">Add</button>
  </mat-card-actions>
</mat-card>

<nz-modal [(nzVisible)]="show" [nzFooter]="null" (nzOnCancel)="show = false">
  <app-order-form *ngIf="show" [order]="selectedOrder" (done)="show=false"></app-order-form>
</nz-modal>
